Sass::SyntaxError in latest update?

Hey, I just tried updating from v1.4.0.beta6 +144 but the process failed, saying:

rake aborted!
Sass::SyntaxError: Undefined variable: “$primary” (in …common/admin/admin_vase.scss)

Now Discourse says there’s still an update but when I click it and go to the update screen it says it’s all update to date. I’m worried my install is in a bad state now, do I have to restore?

3 Likes

But, besides this, thanks for the great software it’s been working really well! :slight_smile:

Yes I can see this error, investigating at the moment.

thx for the speedy reply Sam!

Hi Sam,

How much more time you will take, and is there a way to rebuild my app without this commit?

Thanks.

Approximately 0 seconds.

https://github.com/discourse/discourse/commit/5a0dc1273329c416611b27b7273b23a1fea88639

3 Likes

Sorry about the drama, thanks for reporting.